atkmm: Atk::Attribute Class Reference

atkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Related Functions | List of all members
Atk::Attribute Class Reference

`#include <atkmm/text.h>`

## Public Member Functions
| Attribute ()
| Attribute (const Glib::ustring& name, const Glib::ustring& value)
| Attribute (const AtkAttribute* gobject)
| ~Attribute ()
| Attribute (const Attribute& other)
Attribute& | operator= (const Attribute& other)
void | swap (Attribute& other)
Glib::ustring | get_name () const
Glib::ustring | get_value () const
AtkAttribute* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkAttribute* | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Attributes
AtkAttribute | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (Attribute& lhs, Attribute& rhs)

## Constructor & Destructor Documentation

Atk::Attribute::Attribute | ( |  | ) |

Atk::Attribute::Attribute | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | value
| ) |  |

Atk::Attribute::Attribute | ( | const AtkAttribute * | gobject | ) |
| explicit

Atk::Attribute::~Attribute | ( |  | ) |

Atk::Attribute::Attribute | ( | const Attribute& | other | ) |

## Member Function Documentation

Glib::ustring Atk::Attribute::get_name | ( |  | ) | const

Glib::ustring Atk::Attribute::get_value | ( |  | ) | const

AtkAttribute* Atk::Attribute::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const AtkAttribute* Atk::Attribute::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Attribute& Atk::Attribute::operator= | ( | const Attribute& | other | ) |

void Atk::Attribute::swap | ( | Attribute& | other | ) |

## Friends And Related Function Documentation

void swap | ( | Attribute& | lhs,
|  | Attribute& | rhs
| ) |  |
| related

## Member Data Documentation

AtkAttribute Atk::Attribute::gobject_
| protected